Bug 511091 - Virtualization type in in kickstart profile changes to KVM virt guest post upgrade
Virtualization type in in kickstart profile changes to KVM virt guest post up...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Justin Sherrill
Jeff Browning
:
Depends On:
Blocks: 456986 457075
  Show dependency treegraph
 
Reported: 2009-07-13 11:53 EDT by Preethi Thomas
Modified: 2009-08-27 13:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-07-13 11:53:08 EDT
Description of problem:
Virtualization type in in kickstart profile changes to KVM virt guest post upgrade

Version-Release number of selected component (if applicable):

rhn-upgrade-5.3.0.16-1.el4sat
Satellite-5.3.0-RHEL4-re20090709.0-i386-embedded-oracle.iso
How reproducible:


Steps to Reproduce:
1. rhel4 5.11 satellite with rhel4 ks profile. Virtualization type set as none
2. upgrade to 5.3
3.navigate to system->kickstart
4. open the kickstart profile which you created pre upgrade

Actual results:

virtualization type is displayed as KVM Virtualized guest
Expected results:

It should maintain the virt type selected pre upgrade.
Additional info:
Comment 1 Justin Sherrill 2009-07-13 18:48:13 EDT
34b39247127da4612d0808ea4b3b566a71d3f3e5
Comment 2 Justin Sherrill 2009-07-13 18:51:43 EDT
That's a satellite.git commit.  Added an upgrade script to change all kickstart profiles from qemu (kvm) to none.
Comment 3 Jeff Browning 2009-07-22 05:23:00 EDT
Verified. Virt type no longer changes after upgrade.
Comment 4 wes hayutin 2009-07-29 13:43:27 EDT
verified.. upgraded sat ks profiles are not defaulting to kvm or changes
release pending
Comment 5 Brandon Perkins 2009-08-27 13:38:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.